/*
 * SmartcardioNFC - a library providing a smartcardio implementation for NFC on Android
 *
 * Copyright (C) 2017 gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH <info@gematik.de> +49 30 40041-0
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.gematik.security.test;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;

import de.gematik.security.usbCard.UsbReceiver;

/**
 * Dummy activity that just displays a screen with a static text.
 * Needed because the JUnit tests need an activity to get access to the NFC
 * interface of the test device.
 * Also handles the UsbReceiver that is needed by Card2CardTest.
 */
public class NfcHealthcardTestActivity extends AppCompatActivity {

    private boolean discoveredCard = false;

    private UsbReceiver usbReceiver;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_nfc_healthcard_test);

        this.usbReceiver = new UsbReceiver(this);
    }

    public boolean hasDiscoveredCard() {
        return discoveredCard;
    }

    public void setDiscoveredCard(boolean discoveredCard) {
        this.discoveredCard = discoveredCard;
    }

    @Override
    protected void onDestroy() {
        unregisterReceiver(usbReceiver);
        super.onDestroy();
    }


}